Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.interfaces
Interface Addressable

All Superinterfaces:
  Module

All Known Implementing Classes:
  ATA, CPU, DeviceDummy, DMA, DMAController, FDC, Keyboard, ModuleATA, ModuleCPU, ModuleDMA, ModuleFDC, ModuleKeyboard, ModuleMotherboard, ModuleParallelPort, ModulePIC, ModulePIT, ModuleRTC, ModuleSerialPort, ModuleVideo, Motherboard, ParallelPort, PCI, PIC, PIT, Processor, RTC, SerialPort, Video

    public interface Addressable

extends Module

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Method Summary
`byte` | `getIOPortByte(int address)`
`byte[]` | `getIOPortDoubleWord(int address)`
`byte[]` | `getIOPortWord(int address)`
`void` | `setIOPortByte(int address, byte value)`
`void` | `setIOPortDoubleWord(int address, byte[] value)`
`void` | `setIOPortWord(int address, byte[] value)`

Methods inherited from interface dioscuri.interfaces.Module
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Method Detail

### getIOPortByte

    byte getIOPortByte(int address)
                       throws ModuleException,
                              UnknownPortException,
                              WriteOnlyPortException

  Parameters:
    `address` -
  Returns:
  Throws:
    `ModuleException`
    `UnknownPortException`
    `WriteOnlyPortException`

### getIOPortWord

    byte[] getIOPortWord(int address)
                         throws ModuleException,
                                UnknownPortException,
                                WriteOnlyPortException

  Parameters:
    `address` -
  Returns:
  Throws:
    `ModuleException`
    `UnknownPortException`
    `WriteOnlyPortException`

### getIOPortDoubleWord

    byte[] getIOPortDoubleWord(int address)
                               throws ModuleException,
                                      UnknownPortException,
                                      WriteOnlyPortException

  Parameters:
    `address` -
  Returns:
  Throws:
    `ModuleException`
    `UnknownPortException`
    `WriteOnlyPortException`

### setIOPortByte

    void setIOPortByte(int address,
                       byte value)
                       throws ModuleException,
                              UnknownPortException

  Parameters:
    `address` -
    `value` -
  Throws:
    `ModuleException`
    `UnknownPortException`

### setIOPortWord

    void setIOPortWord(int address,
                       byte[] value)
                       throws ModuleException,
                              UnknownPortException

  Parameters:
    `address` -
    `value` -
  Throws:
    `ModuleException`
    `UnknownPortException`

### setIOPortDoubleWord

    void setIOPortDoubleWord(int address,
                             byte[] value)
                             throws ModuleException,
                                    UnknownPortException

  Parameters:
    `address` -
    `value` -
  Throws:
    `ModuleException`
    `UnknownPortException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD